package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 车间转移记录
 * </p>
 *
 * @author Philip
 * @since 2021-08-24
 */

@TableName("Z_WORK_SHOP_TRANSFER")

public class WorkShopTransfer extends Model<WorkShopTransfer> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 派工单
     */
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 转出单号
     */
   @TableField("TRANSFER_NO")
   private String transferNo;
    /**
     * 车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 转入转出车间
     */
   @TableField("TRANSFER_WORK_CENTER")
   private String transferWorkCenter;
    /**
     * 产品条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 步骤
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 转入或转出工序
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 上工序
     */
   @TableField("LAST_OPERATION")
   private String lastOperation;
    /**
     * 下工序
     */
   @TableField("NEXT_OPERATION")
   private String nextOperation;
    /**
     * 数量
     */
   @TableField("QTY")
   private BigDecimal qty;
    /**
     * 转出
     */
   @TableField("IS_OUT")
   private String isOut;
    /**
     * 转入
     */
   @TableField("IS_IN")
   private String isIn;
    /**
     * 是否外协工序
     */
   @TableField("IS_OUT_SOURCE")
   private String isOutSource;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人员
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 转入人员
     */
   @TableField("TRANSFER_IN_USER")
   private String transferInUser;
    /**
     * 转入时间
     */
   @TableField("TRANSFER_IN_TIME")
   private LocalDateTime transferInTime;
    /**
     * 转出人员
     */
   @TableField("TRANSFER_OUT_USER")
   private String transferOutUser;
    /**
     * 转出时间
     */
   @TableField("TRANSFER_OUT_TIME")
   private LocalDateTime transferOutTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getTransferNo() {
      return transferNo;
   }

   public void setTransferNo(String transferNo) {
      this.transferNo = transferNo;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getTransferWorkCenter() {
      return transferWorkCenter;
   }

   public void setTransferWorkCenter(String transferWorkCenter) {
      this.transferWorkCenter = transferWorkCenter;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getLastOperation() {
      return lastOperation;
   }

   public void setLastOperation(String lastOperation) {
      this.lastOperation = lastOperation;
   }

   public String getNextOperation() {
      return nextOperation;
   }

   public void setNextOperation(String nextOperation) {
      this.nextOperation = nextOperation;
   }

   public BigDecimal getQty() {
      return qty;
   }

   public void setQty(BigDecimal qty) {
      this.qty = qty;
   }

   public String getIsOut() {
      return isOut;
   }

   public void setIsOut(String isOut) {
      this.isOut = isOut;
   }

   public String getIsIn() {
      return isIn;
   }

   public void setIsIn(String isIn) {
      this.isIn = isIn;
   }

   public String getIsOutSource() {
      return isOutSource;
   }

   public void setIsOutSource(String isOutSource) {
      this.isOutSource = isOutSource;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getTransferInUser() {
      return transferInUser;
   }

   public void setTransferInUser(String transferInUser) {
      this.transferInUser = transferInUser;
   }

   public LocalDateTime getTransferInTime() {
      return transferInTime;
   }

   public void setTransferInTime(LocalDateTime transferInTime) {
      this.transferInTime = transferInTime;
   }

   public String getTransferOutUser() {
      return transferOutUser;
   }

   public void setTransferOutUser(String transferOutUser) {
      this.transferOutUser = transferOutUser;
   }

   public LocalDateTime getTransferOutTime() {
      return transferOutTime;
   }

   public void setTransferOutTime(LocalDateTime transferOutTime) {
      this.transferOutTime = transferOutTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";

public static final String SITE = "SITE";

public static final String TRANSFER_NO = "TRANSFER_NO";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String TRANSFER_WORK_CENTER = "TRANSFER_WORK_CENTER";

public static final String SFC = "SFC";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String STEP_ID = "STEP_ID";

public static final String OPERATION = "OPERATION";

public static final String LAST_OPERATION = "LAST_OPERATION";

public static final String NEXT_OPERATION = "NEXT_OPERATION";

public static final String QTY = "QTY";

public static final String IS_OUT = "IS_OUT";

public static final String IS_IN = "IS_IN";

public static final String IS_OUT_SOURCE = "IS_OUT_SOURCE";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String TRANSFER_IN_USER = "TRANSFER_IN_USER";

public static final String TRANSFER_IN_TIME = "TRANSFER_IN_TIME";

public static final String TRANSFER_OUT_USER = "TRANSFER_OUT_USER";

public static final String TRANSFER_OUT_TIME = "TRANSFER_OUT_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "WorkShopTransfer{" +
         "handle = " + handle +
         ", sfcDispatchBo = " + sfcDispatchBo +
         ", site = " + site +
         ", transferNo = " + transferNo +
         ", workCenter = " + workCenter +
         ", transferWorkCenter = " + transferWorkCenter +
         ", sfc = " + sfc +
         ", shopOrder = " + shopOrder +
         ", stepId = " + stepId +
         ", operation = " + operation +
         ", lastOperation = " + lastOperation +
         ", nextOperation = " + nextOperation +
         ", qty = " + qty +
         ", isOut = " + isOut +
         ", isIn = " + isIn +
         ", isOutSource = " + isOutSource +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", transferInUser = " + transferInUser +
         ", transferInTime = " + transferInTime +
         ", transferOutUser = " + transferOutUser +
         ", transferOutTime = " + transferOutTime +
         "}";
   }
}